> ## Documentation Index
> Fetch the complete documentation index at: https://developers.portao3.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# /realms/{realmId}/organizations/{organizationId}/customers/report



## OpenAPI

````yaml /api-reference/customer.openapi.json get /realms/{realmId}/organizations/{organizationId}/customers/report
openapi: 3.0.3
info:
  title: Customer
  version: 1.0.0
  description: >-
    Portão 3 customer API. Generated by tools/openapi from code (routes +
    security) and the hand-written spec (request/response bodies). Confidence
    tiers: generated:typed=6 copied:manual=0 unknown=8.
servers:
  - url: https://api.customer.v2.portao3.com.br/
    description: production
  - url: https://api.customer.dev.3pers.com.br/
    description: development
security:
  - bearerAuth: []
tags:
  - name: Customer Billing
  - name: Customers
paths:
  /realms/{realmId}/organizations/{organizationId}/customers/report:
    get:
      tags:
        - Customers
      summary: /realms/{realmId}/organizations/{organizationId}/customers/report
      operationId: getRealmsByRealmIdOrganizationsByOrganizationIdCustomersReport
      parameters:
        - name: realmId
          in: path
          required: true
          schema:
            type: string
        - name: organizationId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  next:
                    type: string
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        address:
                          type: object
                          properties:
                            street:
                              type: string
                            number:
                              type: string
                            complement:
                              type: string
                            neighborhood:
                              type: string
                            city:
                              type: string
                            state:
                              type: string
                            postalCode:
                              type: string
                        name:
                          type: string
                        document:
                          type: string
                        documentType:
                          type: string
                        trandingName:
                          type: string
                        email:
                          type: string
                        phoneNumber:
                          type: string
                        createdAt:
                          type: string
                          format: date-time
                        createdBy:
                          type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                            email:
                              type: string
                          required:
                            - id
                            - name
                            - email
                        hash:
                          type: string
                        customerUrl:
                          type: string
                        status:
                          type: string
                        customFields:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              label:
                                type: string
                              values:
                                type: array
                                items:
                                  type: string
                              identifier:
                                type: string
                              externalIdentifier:
                                type: string
                              type:
                                type: string
                              version:
                                type: number
                            required:
                              - id
                              - label
                              - values
                              - identifier
                              - externalIdentifier
                              - type
                              - version
                      required:
                        - id
                        - documentType
                        - customerUrl
                required:
                  - items
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````